Name:		backintime
Version:	1.5.4
Release:	%mkrel 1
Summary:	Backup tool for Linux
License:	GPLv2+
Group:		Archiving/Backup
URL:		https://github.com/bit-team/backintime
Source0:	https://github.com/bit-team/backintime/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	cronie
BuildRequires:	gettext
BuildRequires:	cmake(bash-completion)
BuildRequires:	pkgconfig(python3)

%description
Back In Time is a simple backup tool for Linux inspired from
Flyback project and TimeVault.

#--------------------------------------------------------------------

%package	common
Summary:	Back Up Tool for Linux
Group:		Archiving/Backup
Requires:	python3
Requires:	rsync
Requires:	cron-daemon
Requires:	python3-keyring
Requires:	python3-dbus
Requires:	python3-packaging
Requires:	cronie
Requires:	openssh-clients
Recommends:	sshfs-fuse
Recommends:	encfs

%description	common
Common files for Back In Time.

%files common -f %{name}.lang
%doc %{_datadir}/doc/%{name}/
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}
%{_bindir}/%{name}-askpass
%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/common/
%{_datadir}/%{name}/plugins/usercallbackplugin.py
%{_datadir}/bash-completion/completions/%{name}
%{_metainfodir}/io.github.bit_team.back_in_time.gui.metainfo.xml
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/%{name}-askpass.1.*
%{_mandir}/man1/%{name}-config.1.*

#---------------------------------------------------------------------

%package	qt
Summary:	Qt Frontend for Back In Time
Group:		Archiving/Backup
Requires:	%{name}-common = %{version}-%{release}
Requires:	x11-tools
Requires:	python3-qt5-core
Requires:	python3-qt5-gui
Requires:	python3-qt5-network
Requires:	python3-qt5-widgets
Requires:	libnotify
Requires:	polkit
Requires:	python3-keyring
Requires:	python3-secretstorage

Provides:	backintime-kde4 = %{version}-%{release}
Provides:	backintime-notify = %{version}-%{release}
Provides:	backintime-gnome = %{version}-%{release}
Provides:	backintime-qt4 = %{version}-%{release}

%description	qt
Qt Frontend for Back In Time.

%files qt
%doc %{_docdir}/%{name}-qt/
%{_bindir}/%{name}-qt
%{_bindir}/%{name}-qt-root
%{_bindir}/backintime-qt_polkit
%{_sbindir}/%{name}-qt-root
%config(noreplace) %{_sysconfdir}/pam.d/%{name}-qt-root
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}-qt-root
%{_datadir}/dbus-1/system.d/net.launchpad.%{name}.serviceHelper.conf
%{_datadir}/dbus-1/system-services/net.launchpad.%{name}.serviceHelper.service
%{_datadir}/polkit-1/actions/net.launchpad.%{name}.policy
%{_datadir}/applications/%{name}-qt.desktop
%{_datadir}/applications/%{name}-qt-root.desktop
%{_datadir}/%{name}/qt/
%{_datadir}/%{name}/plugins/notifyplugin.py
%{_datadir}/%{name}/plugins/systrayiconplugin.py
%{_datadir}/bash-completion/completions/backintime-qt
%{_iconsdir}/hicolor/*/actions/*.svg
%{_mandir}/man1/%{name}-qt.1.*

#---------------------------------------------------------------------

%prep
%autosetup -p1

# Fix documentation directories.
sed -i -e "s|'%{name}-common'|'%{name}'|g" common/config.py
sed -i -e "s|%{name}-common|%{name}|g" common/configure

%build
pushd common
%configure
%make_build
popd

pushd qt
%configure --python=%{python3}
%make_build
popd

%install
pushd common
%make_install
popd

pushd qt
%make_install
popd

desktop-file-install \
      --dir=%{buildroot}%{_datadir}/applications \
      %{buildroot}%{_datadir}/applications/%{name}-qt.desktop

desktop-file-install \
      --dir=%{buildroot}%{_datadir}/applications/ \
      --add-category="KDE;GNOME;Settings;" \
      %{buildroot}%{_datadir}/applications/%{name}-qt-root.desktop


mkdir -p %{buildroot}%{_sbindir}
cp -p %{buildroot}%{_bindir}/%{name}-qt \
      %{buildroot}%{_sbindir}/%{name}-qt-root

ln -s consolehelper \
      %{buildroot}%{_bindir}/%{name}-qt-root

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps/

cat << EOF > %{buildroot}%{_sysconfdir}/security/console.apps/%{name}-qt-root
USER=root
PROGRAM=%{_sbindir}/%{name}-qt-root
SESSION=true
EOF

mkdir -p %{buildroot}%{_sysconfdir}/pam.d

cat << EOF > %{buildroot}%{_sysconfdir}/pam.d/%{name}-qt-root
#%PAM-1.0
auth            include         config-util
account         include         config-util
session         include         config-util
EOF

chmod +x %{buildroot}%{_datadir}/%{name}/common/askpass.py
chmod +x %{buildroot}%{_datadir}/%{name}/common/bcolors.py

# Manually invoke the python byte compile macro for each path that needs byte
# compilation.
%py_byte_compile %{python3} %{buildroot}%{_datadir}/%{name}/qt

%find_lang %{name}


%changelog
* Tue Mar 25 2025 daviddavid <daviddavid> 1.5.4-1.mga10
+ Revision: 2169654
- new version: 1.5.4

* Fri Nov 15 2024 daviddavid <daviddavid> 1.5.3-1.mga10
+ Revision: 2115838
- new version: 1.5.3

* Tue Aug 13 2024 daviddavid <daviddavid> 1.5.2-1.mga10
+ Revision: 2086521
- new version: 1.5.2

* Sun Jul 28 2024 daviddavid <daviddavid> 1.5.1-1.mga10
+ Revision: 2082774
- new version: 1.5.1

* Fri Feb 09 2024 daviddavid <daviddavid> 1.4.3-1.mga10
+ Revision: 2039807
- new version: 1.4.3

* Wed Dec 27 2023 papoteur <papoteur> 1.4.1-2.mga10
+ Revision: 2022218
- rebuild for python 3.12

* Mon Oct 02 2023 daviddavid <daviddavid> 1.4.1-1.mga10
+ Revision: 1993094
- new version: 1.4.1

* Mon Sep 18 2023 daviddavid <daviddavid> 1.4.0-1.mga10
+ Revision: 1987719
- new version: 1.4.0

* Sun Sep 17 2023 papoteur <papoteur> 1.3.3-2.mga10
+ Revision: 1987643
- fix requires (mga#32222)

* Thu Jan 05 2023 daviddavid <daviddavid> 1.3.3-1.mga9
+ Revision: 1929974
- new version: 1.3.3

* Mon Jun 06 2022 papoteur <papoteur> 1.3.2-1.mga9
+ Revision: 1861436
- new version 1.3.2
- withdraw python3-sip as requirement

* Wed Mar 23 2022 umeabot <umeabot> 1.2.1-4.mga9
+ Revision: 1821174
- Mageia 9 Mass Rebuild

* Wed Mar 09 2022 mrambo3501 <mrambo3501> 1.2.1-3.mga9
+ Revision: 1790122
- fix files list

* Sun Feb 16 2020 umeabot <umeabot> 1.2.1-2.mga8
+ Revision: 1530477
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Aug 29 2019 daviddavid <daviddavid> 1.2.1-1.mga8
+ Revision: 1434958
- new version: 1.2.1
- remove merged upstream patch

* Tue Aug 20 2019 daviddavid <daviddavid> 1.2.0-2.mga8
+ Revision: 1430506
- added upstream patch to fix TypeError in backintime.py if mount failed while
  running a snapshot (fixes #1005)

* Wed May 01 2019 daviddavid <daviddavid> 1.2.0-1.mga7
+ Revision: 1396017
- new version: 1.2.0
- port to PyQt5

* Thu Sep 20 2018 umeabot <umeabot> 1.1.24-4.mga7
+ Revision: 1277629
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 wally <wally> 1.1.24-3.mga7
+ Revision: 1248788
- add back pycache

* Thu Jul 05 2018 daviddavid <daviddavid> 1.1.24-2.mga7
+ Revision: 1241784
- update files list (no more __pycache__ reference)

* Thu Nov 09 2017 daviddavid <daviddavid> 1.1.24-1.mga7
+ Revision: 1176687
- new version: 1.1.24

* Mon Oct 30 2017 daviddavid <daviddavid> 1.1.22-1.mga7
+ Revision: 1174869
- new version: 1.1.22

* Sat Apr 22 2017 neoclust <neoclust> 1.1.20-1.mga6
+ Revision: 1097095
- New version 1.1.20 - Fixes CVE-2017-7572 (mga#20692)

* Mon Jun 27 2016 akien <akien> 1.1.12-3.mga6
+ Revision: 1037823
- Rebuild in core/release

* Sat Jun 25 2016 akien <akien> 1.1.12-2.mga6
+ Revision: 1037529
- Rebuild for python-sip 4.18

* Fri Mar 04 2016 daviddavid <daviddavid> 1.1.12-1.mga6
+ Revision: 985597
- new version: 1.1.12
- removal of desktop dependent subpackages replaces now by backintime-qt4
- obsoletes backintime-kde4, -gnome, -notify
- update files list for common and qt4 subpackages

* Fri Feb 19 2016 umeabot <umeabot> 1.0.40-4.mga6
+ Revision: 969846
- Mageia 6 Mass Rebuild

* Thu Sep 17 2015 daviddavid <daviddavid> 1.0.40-3.mga6
+ Revision: 880035
- update doc file list (fix build with new rpm 4.13.0)

* Sun Aug 02 2015 daviddavid <daviddavid> 1.0.40-2.mga6
+ Revision: 860828
- add missing requires for python-dbus to common subpkg (mga#16254)
- add missing requires for gnome-python-gnomevfs to gnome subpkg (mga#16234)

* Sun Jul 26 2015 daviddavid <daviddavid> 1.0.40-1.mga6
+ Revision: 857950
- new version: 1.0.40
- add backintime-notify subpackage
- use %%configure2_5x and %%makeinstall_std macros
- fix non-conffile-in-etc warning
- fix permission on 2 python script files

* Wed Oct 15 2014 umeabot <umeabot> 1.0.36-3.mga5
+ Revision: 741479
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.36-2.mga5
+ Revision: 678094
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 philippem <philippem> 1.0.36-1.mga5
+ Revision: 665977
- update to 1.0.36

* Mon Dec 23 2013 neoclust <neoclust> 1.0.34-1.mga4
+ Revision: 560232
- New version, fixes mga #11257

* Sat Oct 19 2013 umeabot <umeabot> 1.0.26-2.mga4
+ Revision: 534966
- Mageia 4 Mass Rebuild

* Tue Sep 17 2013 dams <dams> 1.0.26-1.mga4
+ Revision: 480629
- new version 1.0.26

* Mon Jul 08 2013 philippem <philippem> 1.0.24-3.mga4
+ Revision: 451488
- add Requires python-keyring

* Fri Jun 14 2013 kharec <kharec> 1.0.24-2.mga4
+ Revision: 443046
- add python-keyring as a require (#10244)

* Thu May 23 2013 kharec <kharec> 1.0.24-1.mga4
+ Revision: 425087
- update to 1.0.24

* Fri Jan 11 2013 umeabot <umeabot> 1.0.8-2.mga3
+ Revision: 346825
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ fwang <fwang>
- it is a noarch package

* Thu Jul 07 2011 mikala <mikala> 1.0.8-1.mga2
+ Revision: 119616
- Update tarball to 1.0.8

* Sat Mar 05 2011 mikala <mikala> 1.0.6-1.mga1
+ Revision: 65137
- Update tarball to 1.0.6
- Add Requires for python-notify on gnome subpackage
- Use ./configure --no-checks for subpackage
- Drop patch0 merged
- imported package backintime


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.26-4mdv2011.0
+ Revision: 616695
- the mass rebuild of 2010.0 packages

* Thu Oct 22 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.26-3mdv2010.0
+ Revision: 458961
- Add Fedora patch to fix CVE-2009-3611

* Sun May 24 2009 Funda Wang <fwang@mandriva.org> 0.9.26-2mdv2010.0
+ Revision: 379163
- fix requires on gnome subpackage (bug#51096)

* Tue May 19 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.26-1mdv2010.0
+ Revision: 377741
- Update to new version 0.9.26
- Fix source URL

* Mon May 18 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9.24-4mdv2010.0
+ Revision: 377252
- Fix Requires

* Mon May 11 2009 Funda Wang <fwang@mandriva.org> 0.9.24-3mdv2010.0
+ Revision: 374204
- arch-dependent as suggested by kdesu
- add requires
- should be noarch
- move gnome manpage into correct sub package

* Sat May 09 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9.24-2mdv2010.0
+ Revision: 373903
- import backintime


* Sat May 09 2009 John Balcaen  <mandriva@littleboboy.net> 0.9.24-2mdv2009.0
- switching to kdesu instead of kdesudo (thk to neoclust)

* Fri May 08 2009 John Balcaen <mandriva@littleboboy.net> 0.9.24-1mdv2009.0
 Initial import
